GET api/Locations?externalId={externalId}
Gets information about a location.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Location's unique ID on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
LocationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the location (Required). |
string |
None. |
| Alias |
Alias for the location |
string |
None. |
| Active |
Indicates whether the location is active or not. |
boolean |
None. |
| Notes |
Notes about the location. |
string |
None. |
| SundayClosed |
Indicates whether the location is closed on Sundays. |
boolean |
None. |
| SundayFrom |
Sundays open time. |
time interval |
None. |
| SundayTo |
Sundays close time. |
time interval |
None. |
| MondayClosed |
Indicates whether the location is closed on Mondays. |
boolean |
None. |
| MondayFrom |
Mondays open time. |
time interval |
None. |
| MondayTo |
Mondays close time. |
time interval |
None. |
| TuesdayClosed |
Indicates whether the location is closed on Tuesdays. |
boolean |
None. |
| TuesdayFrom |
Tuesdays open time. |
time interval |
None. |
| TuesdayTo |
Tuesdays close time. |
time interval |
None. |
| WednesdayClosed |
Indicates whether the location is closed on Wednesdays. |
boolean |
None. |
| WednesdayFrom |
Wednesdays open time. |
time interval |
None. |
| WednesdayTo |
Wednesdays close time. |
time interval |
None. |
| ThursdayClosed |
Indicates whether the location is closed on Thursdays. |
boolean |
None. |
| ThursdayFrom |
Thursdays open time. |
time interval |
None. |
| ThursdayTo |
Thursdays close time. |
time interval |
None. |
| FridayClosed |
Indicates whether the location is closed on Fridays. |
boolean |
None. |
| FridayFrom |
Fridays open time. |
time interval |
None. |
| FridayTo |
Fridays close time. |
time interval |
None. |
| SaturdayClosed |
Indicates whether the location is closed on Saturdays. |
boolean |
None. |
| SaturdayFrom |
Saturdays open time. |
time interval |
None. |
| SaturdayTo |
Saturdays close time. |
time interval |
None. |
| RequestFormLayoutAfterOnlineAppointment |
Whether the patient should receive a request to fill out a medical form after creating an online appointment. |
boolean |
None. |
| ComunicationSendingFromHour |
Misspelled, DO NOT USE. |
time interval |
None. |
| CommunicationSendingFromHour |
Appropriated time to start sending communications to the patients. |
time interval |
None. |
| ComunicationSendingToHour |
Misspelled, DO NOT USE. |
time interval |
None. |
| CommunicationSendingToHour |
Time to stop communications to the patients. |
time interval |
None. |
| LinkedInUrl |
Location's LinkedIn URL. |
string |
None. |
| FacebookUrl |
Location's Facebook URL. |
string |
None. |
| GooglePlusUrl |
Location's Google+ URL. |
string |
None. |
| YahooUrl |
Location's Yahoo URL. |
string |
None. |
| TimeZoneId |
Time Zone ID of the location. Check the complete list of IDs in the appendix "Time Zone IDs" (Required). |
string |
None. |
| Contact |
Location's contact information. |
ContactModel |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"name": "Florida Eyecare",
"alias": null,
"active": true,
"notes": "Location 15",
"sundayClosed": true,
"sundayFrom": "00:00:00",
"sundayTo": "00:00:00",
"mondayClosed": true,
"mondayFrom": "08:00:00",
"mondayTo": "20:00:00",
"tuesdayClosed": false,
"tuesdayFrom": "08:00:00",
"tuesdayTo": "20:00:00",
"wednesdayClosed": false,
"wednesdayFrom": "08:00:00",
"wednesdayTo": "20:00:00",
"thursdayClosed": false,
"thursdayFrom": "08:00:00",
"thursdayTo": "20:00:00",
"fridayClosed": false,
"fridayFrom": "08:00:00",
"fridayTo": "20:00:00",
"saturdayClosed": false,
"saturdayFrom": "08:00:00",
"saturdayTo": "13:00:00",
"requestFormLayoutAfterOnlineAppointment": false,
"comunicationSendingFromHour": null,
"communicationSendingFromHour": "08:00:00",
"comunicationSendingToHour": null,
"communicationSendingToHour": "20:00:00",
"linkedInUrl": "",
"facebookUrl": "",
"googlePlusUrl": "",
"yahooUrl": "",
"timeZoneId": "Eastern Standard Time",
"contact": {
"id": "00000000-0000-0000-0000-000000000000",
"firstName": "",
"middleName": "",
"lastName": "",
"suffix": "",
"prefix": "",
"fullName": "",
"companyName": "",
"jobTitle": "",
"emailAddresses": [
{
"id": "00000000-0000-0000-0000-000000000000",
"alias": "Office",
"address": "email@location.com",
"default": true,
"sortOrder": 0
}
],
"phoneNumbers": [
{
"id": "00000000-0000-0000-0000-000000000000",
"alias": "Office",
"number": "+1 (855) 306-5600",
"default": true,
"useForSms": false,
"sortOrder": 0
}
],
"postalAddresses": [
{
"id": "00000000-0000-0000-0000-000000000000",
"alias": "Office",
"address1": "123 45th St",
"address2": "",
"city": "SampleCity",
"state": "FL",
"countryId": null,
"countryCode": "USA",
"countryName": "United States",
"zip": "656956",
"default": true
}
],
"notes": null
},
"id": "00000000-0000-0000-0000-000000000000",
"externalId": "15"
}
application/xml, text/xml
<LocationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Locations">
<ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">15</ExternalId>
<Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">00000000-0000-0000-0000-000000000000</Id>
<Active>true</Active>
<Alias i:nil="true" />
<CommunicationSendingFromHour>PT8H</CommunicationSendingFromHour>
<CommunicationSendingToHour>PT20H</CommunicationSendingToHour>
<ComunicationSendingFromHour i:nil="true" />
<ComunicationSendingToHour i:nil="true" />
<Contact xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Contacts">
<d2p1:CompanyName></d2p1:CompanyName>
<d2p1:EmailAddresses>
<d2p1:EmailAddressModel>
<d2p1:Address>email@location.com</d2p1:Address>
<d2p1:Alias>Office</d2p1:Alias>
<d2p1:Default>true</d2p1:Default>
<d2p1:Id>00000000-0000-0000-0000-000000000000</d2p1:Id>
<d2p1:SortOrder>0</d2p1:SortOrder>
</d2p1:EmailAddressModel>
</d2p1:EmailAddresses>
<d2p1:FirstName></d2p1:FirstName>
<d2p1:FullName></d2p1:FullName>
<d2p1:Id>00000000-0000-0000-0000-000000000000</d2p1:Id>
<d2p1:JobTitle></d2p1:JobTitle>
<d2p1:LastName></d2p1:LastName>
<d2p1:MiddleName></d2p1:MiddleName>
<d2p1:Notes i:nil="true" />
<d2p1:PhoneNumbers>
<d2p1:PhoneNumberModel>
<d2p1:Alias>Office</d2p1:Alias>
<d2p1:Default>true</d2p1:Default>
<d2p1:Id>00000000-0000-0000-0000-000000000000</d2p1:Id>
<d2p1:Number>+1 (855) 306-5600</d2p1:Number>
<d2p1:SortOrder>0</d2p1:SortOrder>
<d2p1:UseForSms>false</d2p1:UseForSms>
</d2p1:PhoneNumberModel>
</d2p1:PhoneNumbers>
<d2p1:PostalAddresses>
<d2p1:PostalAddressModel>
<d2p1:Address1>123 45th St</d2p1:Address1>
<d2p1:Address2></d2p1:Address2>
<d2p1:Alias>Office</d2p1:Alias>
<d2p1:City>SampleCity</d2p1:City>
<d2p1:CountryCode>USA</d2p1:CountryCode>
<d2p1:CountryId i:nil="true" />
<d2p1:CountryName>United States</d2p1:CountryName>
<d2p1:Default>true</d2p1:Default>
<d2p1:Id>00000000-0000-0000-0000-000000000000</d2p1:Id>
<d2p1:State>FL</d2p1:State>
<d2p1:Zip>656956</d2p1:Zip>
</d2p1:PostalAddressModel>
</d2p1:PostalAddresses>
<d2p1:Prefix></d2p1:Prefix>
<d2p1:Suffix></d2p1:Suffix>
</Contact>
<FacebookUrl></FacebookUrl>
<FridayClosed>false</FridayClosed>
<FridayFrom>PT8H</FridayFrom>
<FridayTo>PT20H</FridayTo>
<GooglePlusUrl></GooglePlusUrl>
<LinkedInUrl></LinkedInUrl>
<MondayClosed>true</MondayClosed>
<MondayFrom>PT8H</MondayFrom>
<MondayTo>PT20H</MondayTo>
<Name>Florida Eyecare</Name>
<Notes>Location 15</Notes>
<RequestFormLayoutAfterOnlineAppointment>false</RequestFormLayoutAfterOnlineAppointment>
<SaturdayClosed>false</SaturdayClosed>
<SaturdayFrom>PT8H</SaturdayFrom>
<SaturdayTo>PT13H</SaturdayTo>
<SundayClosed>true</SundayClosed>
<SundayFrom>PT0S</SundayFrom>
<SundayTo>PT0S</SundayTo>
<ThursdayClosed>false</ThursdayClosed>
<ThursdayFrom>PT8H</ThursdayFrom>
<ThursdayTo>PT20H</ThursdayTo>
<TimeZoneId>Eastern Standard Time</TimeZoneId>
<TuesdayClosed>false</TuesdayClosed>
<TuesdayFrom>PT8H</TuesdayFrom>
<TuesdayTo>PT20H</TuesdayTo>
<WednesdayClosed>false</WednesdayClosed>
<WednesdayFrom>PT8H</WednesdayFrom>
<WednesdayTo>PT20H</WednesdayTo>
<YahooUrl></YahooUrl>
</LocationModel>